;; This file (c) Copyright 1998 - 2001 The MITRE Corporation
;; 
;; This file is part of the Galaxy Communicator system. It is licensed
;; under the conditions described in the file LICENSE in the root 
;; directory of the Galaxy Communicator system.

;; -------------------------------------------------
;;   SERVERS
;; -------------------------------------------------

SERVER: testaudio_send
HOST:localhost
PORT:12345
OPERATIONS: reinitialize notify
INIT: :audiofile "@target@/final_models/st0058.raw"

SERVER: recognizer_serv
;; HOST:130.18.6.111
HOST:localhost
PORT:12346
OPERATIONS: reinitialize recognize_speech

SERVER: printout
HOST: localhost
PORT: 16010
OPERATIONS: print_hypo

PROGRAM: main

;; -------------------------------------------------
;;   CONDITIONS  (default order)
;; -------------------------------------------------

RULE: :binary_port & :binary_host & :call_id  --> recognize_speech
IN: :binary_port :binary_host :call_id
OUT: none!

RULE: :input_string --> printout.print_hypo
IN: :input_string
OUT: none!
